Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577461 - Transaction error when installing ovirt
Summary: Transaction error when installing ovirt
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.2.3
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Nobody
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 08:30 UTC by Julian
Modified: 2018-06-04 10:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-04 10:43:55 UTC
oVirt Team: Metrics


Attachments (Terms of Use)

Description Julian 2018-05-12 08:30:09 UTC
Description of problem:

When I install with 'sudo yum install -y ovirt-engine' I get the following error:

Transaction check error:
  file /usr/lib64/collectd/disk.so conflicts between attempted installs of collectd-disk-5.8.0-3.el7.x86_64 and collectd-5.8.0-3.el7.x86_64
  file /usr/lib64/collectd/write_http.so conflicts between attempted installs of collectd-write_http-5.8.0-3.el7.x86_64 and collectd-5.8.0-3.el7.x86_64

Everything else works fine, I've added the official ovirt repository and updated the server.
 


Version-Release number of selected component (if applicable): 4.2.3


How reproducible:

Just follow the installation instructions


Steps to Reproduce:
1. sudo yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release42.rpm
2. sudo yum install -y ovirt-engine

Did this for about three times

Actual results:

Transaction check error:
  file /usr/lib64/collectd/disk.so conflicts between attempted installs of collectd-disk-5.8.0-3.el7.x86_64 and collectd-5.8.0-3.el7.x86_64
  file /usr/lib64/collectd/write_http.so conflicts between attempted installs of collectd-write_http-5.8.0-3.el7.x86_64 and collectd-5.8.0-3.el7.x86_64

I hope someone can help me?

Comment 1 Meina Li 2018-05-22 10:16:12 UTC
Hi,
I think the resolution in bug 1572434 can resolve this question: We do not support epel being enabled in oVirt.

Comment 2 Nikhil Chawla 2018-05-28 21:40:36 UTC
This bug can be closed, since, right after disabling the epel-repo, the ovirt-hosted-engine-setup installed the way it should.


Note You need to log in before you can comment on or make changes to this bug.